<?php 

$merid = $_POST["merid"];
$payid = $_POST["payid"];
$amount = $_POST["amount"];
$mydate = $_POST["date"];
$succ = $_POST["succ"];
$msg = $_POST["msg"];
$rname = $_POST["rname"];
$remail = $_POST["remail"];
$raddr = $_POST["raddr"];
$rpost = $_POST["rpost"];
$rtel = $_POST["rtel"];
$rnote = $_POST["rnote"];
$pname = $_POST["pname"];
$md5string = $_POST["verifymd5"];

$md5key = $mypcenter_ikey;		

$content=$merid.$payid.$amount.$mydate.$succ.$md5key;

if ($md5string==md5($content)) {
		
	if($succ=="Y") {	

			$PageMain=Insert_Back_value($payid,$amount);

	}else{

			$PageMain=err("支付失败!","member.php","");

	}

}else{
	
			$PageMain=err("签名认证错误!","member.php","");


}


?>